using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using System.Collections;
using NorthwindModel;
using System.Data.Objects;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void button1_Click(object sender, EventArgs e)
    {
        using (NorthwindEntities nw = new NorthwindEntities())
        {
            var customers = nw.Customers.ToList();
            customers[0].CompanyName = "new";
            nw.SaveChanges();
        }
    }

    protected void RadGrid1_PreRender1(object sender, EventArgs e)
    {
        //for (int i = 0; i < RadGrid1.PageSize; i++)
        //{
        //    RadGrid1.EditIndexes.Add(i);
        //}
        //RadGrid1.Rebind();
    }
}
